1.2

1.2

post /v1/lb-health-checks

Description

LB 헬스 체크를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LbHealthCheckCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLbHealthCheckShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "lb_health_check": {
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_url": "/test",
        "http_method": "GET",
        "name": "ServerGroup01",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "tags": [],
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

Example HTTP response

Response 201

{
    "lb_health_check": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_type": "DEFAULT",
        "health_check_url": "/test",
        "http_method": "GET",
        "id": "46c681018e33453085ca7c8db54e0076",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "Test-LbMonitor-01",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}